[tox]
requires =
    tox>=4
env_list = 
    lint
    py{39,310,311}
    docs
skip_missing_interpreters = true

[default]

[pkgenv]
passenv =
    CPPFLAGS
    LDFLAGS
    GSL_HOME
    FFTW3_HOME

[testenv]
description = run unit tests
package = wheel
deps =
    pytest>=7
    pytest-sugar
commands =
    pytest --junitxml={env_tmp_dir}/junit-{env_name}.xml {posargs:test}

[testenv:lint]
description = install black and invoke it on the current folder
skip_install = true
deps =
    black==22.12
# disabling the check for now (the '-' at the beginning of the line)
commands = 
    - black --exclude .tox --check {posargs:.}

[testenv:docs]
description = generates the documentation
package = wheel
extras = docs
# required as the name of the package "pyseobnr" is the same as the folder where the source is
# and "import pyseobnr.xxxx" in the documentation import the original source code, not the compiled
# code
changedir = {envtmpdir}
# do not inherit from the dependencies of the testenv
deps =
commands =
    sphinx-build --color -W -b html -d {envtmpdir}{/}doctrees {tox_root}/docs {envtmpdir}{/}docs_output
